/*
 * Class BOUNDED [REAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1713 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1713 [] = {0xFF01,1551,1712,863,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1713 [] = {0xFF01,1712,863,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1713 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1713 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1713 [] = {0xFF01,1712,863,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1713 [] = {0xFF01,1712,863,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1713 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1713 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1713 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1713 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1713 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1713 [] = {1712,863,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1713 [] = {0xFF01,1712,863,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1713 [] = {0xFF01,1691,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1713 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1713[] = {
	{EIF_GENERIC(NULL), 9360, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1713), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1713), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1713), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1713), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1713), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1713), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1713), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1713), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1713), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1713), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1713), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1713), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1713), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1713), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9207, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8613, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8614, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8615, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8616, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8617, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1713), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1713), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9361, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1713(void)
{
	IDSC(desc_1713, 0, 1712);
	IDSC(desc_1713 + 1, 1, 1712);
	IDSC(desc_1713 + 32, 1134, 1712);
	IDSC(desc_1713 + 41, 1395, 1712);
	IDSC(desc_1713 + 43, 878, 1712);
	IDSC(desc_1713 + 44, 554, 1712);
}


#ifdef __cplusplus
}
#endif
